package cn.com.infosec.mobile.android.xlog.internal.printer.file.backup;

import android.support.annotation.Keep;
import cn.com.infosec.mobile.android.xlog.printer.file.backup.BackupStrategy;
import cn.com.infosec.mobile.android.xlog.printer.file.backup.BackupStrategy2;
import java.io.File;

@Keep
public class BackupStrategyWrapper implements BackupStrategy2 {
   private BackupStrategy backupStrategy;

   public BackupStrategyWrapper(BackupStrategy backupStrategy) {
      this.backupStrategy = backupStrategy;
   }

   public int getMaxBackupIndex() {
      return 1;
   }

   public String getBackupFileName(String fileName, int backupIndex) {
      return fileName + ".bak";
   }

   public boolean shouldBackup(File file) {
      return this.backupStrategy.shouldBackup(file);
   }
}
